> For the complete documentation index, see [llms.txt](https://docs.aamsystems.ru/passoffice/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.aamsystems.ru/passoffice/passoffice-guide/admin-guide-doc/konfigurirovanie/form/otchety/dostupnye-polya/dobavit-vychislyaemuyu-kolonku.md).

# Добавить вычисляемую колонку

**Добавлена поддержка вычисляемых колонок**

**Вычисляемые колонки** — это колонки, значения которых формируются не из данных базы, а рассчитываются «на лету» во время трансформации результата запроса.

**Пример использования:** Теперь можно добавить колонку **«Статус пропуска»**, значение которой будет автоматически заполняться только в тех строках, где пропуск выдан по заявке (остальные ячейки останутся пустыми или будут содержать заданное значение по умолчанию).

Это позволяет гибко отображать производные данные без изменения структуры базы и хранимых процедур.

Для добавления вычисляемой колонки выполните следующие действия:

1. Нажмите кнопку **«Добавить вычисляемую колонку»**.
2. Заполните поля:
   * **Название колонки** — Статус пропуска
   * **Трансформер**

```json
{
  "condition": {
    "fieldId": "v_issuePassDateTime",
    "type": "notNullAndNotEmpty",
    "value": ""
  },
  "actions": [
    {
      "type": "setValue",
      "value": "Выдан" 
    }
  ]
}
```

В данном примере в отчет добавлено также виртуальное поле *Дата и время выдачи пропуска* - v\_issuePassDateTime.

После сохранения колонка появится в таблице, а её значения будут формироваться автоматически во время трансформации данных.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.aamsystems.ru/passoffice/passoffice-guide/admin-guide-doc/konfigurirovanie/form/otchety/dostupnye-polya/dobavit-vychislyaemuyu-kolonku.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
